Activity log for bug #1852432

Date Who What changed Old value New value Message
2019-11-13 13:00:47 Heitor Alves de Siqueira bug added bug
2019-11-13 13:01:14 Heitor Alves de Siqueira description [Impact] * Creating SR-IOV enabled VMs in Openstack can sometimes trigger the GPF and leave system unusable [Test Case] * Continuously spin up VFs and set MAC address with e.g. ifconfig [Fix] * The fix updates the VSI pointer passed down to i40e_set_vf_mac function() if the adapter is still in reset, preventing the GPF. [Regression Potential] * Regression potential should be low, as we're now updating the VSI using the ID stored in the VF pointer * Regressions could arise from issues in VF creation or reset, as that would corrupt the new VSI pointer * Patch was validated and tested in a production environment with Openstack [Other] * Fix was introduced in v5.4-rc1, so all previous kernels are affected [Impact] * Creating SR-IOV enabled VMs in Openstack can sometimes trigger the GPF and leave system unusable [Test Case] * Continuously spin up VFs and set MAC address with e.g. ifconfig [Fix] * The fix updates the VSI pointer passed down to i40e_set_vf_mac function() if the adapter is still in reset, preventing the GPF. [Regression Potential] * Regression potential should be low, as we're now updating the VSI using the ID stored in the VF pointer * Regressions could arise from issues in VF creation or reset, as that would corrupt the new VSI pointer * Patch was validated and tested in a production environment [Other] * Fix was introduced in v5.4-rc1, so all previous kernels are affected
2019-11-13 13:01:47 Heitor Alves de Siqueira nominated for series Ubuntu Xenial
2019-11-13 13:01:47 Heitor Alves de Siqueira bug task added linux (Ubuntu Xenial)
2019-11-13 13:01:47 Heitor Alves de Siqueira nominated for series Ubuntu Focal
2019-11-13 13:01:47 Heitor Alves de Siqueira bug task added linux (Ubuntu Focal)
2019-11-13 13:01:47 Heitor Alves de Siqueira nominated for series Ubuntu Bionic
2019-11-13 13:01:47 Heitor Alves de Siqueira bug task added linux (Ubuntu Bionic)
2019-11-13 13:01:47 Heitor Alves de Siqueira nominated for series Ubuntu Eoan
2019-11-13 13:01:47 Heitor Alves de Siqueira bug task added linux (Ubuntu Eoan)
2019-11-13 13:01:47 Heitor Alves de Siqueira nominated for series Ubuntu Disco
2019-11-13 13:01:47 Heitor Alves de Siqueira bug task added linux (Ubuntu Disco)
2019-11-13 13:03:46 Heitor Alves de Siqueira linux (Ubuntu Eoan): status New Confirmed
2019-11-13 13:03:47 Heitor Alves de Siqueira linux (Ubuntu Disco): status New Confirmed
2019-11-13 13:03:49 Heitor Alves de Siqueira linux (Ubuntu Bionic): status New Confirmed
2019-11-13 13:03:51 Heitor Alves de Siqueira linux (Ubuntu Xenial): status New Confirmed
2019-11-13 13:03:53 Heitor Alves de Siqueira linux (Ubuntu Eoan): importance Undecided High
2019-11-13 13:03:54 Heitor Alves de Siqueira linux (Ubuntu Disco): importance Undecided High
2019-11-13 13:03:59 Heitor Alves de Siqueira linux (Ubuntu Xenial): importance Undecided High
2019-11-13 13:04:01 Heitor Alves de Siqueira linux (Ubuntu Bionic): importance Undecided High
2019-11-13 13:04:04 Heitor Alves de Siqueira linux (Ubuntu Eoan): assignee Heitor Alves de Siqueira (halves)
2019-11-13 13:04:06 Heitor Alves de Siqueira linux (Ubuntu Disco): assignee Heitor Alves de Siqueira (halves)
2019-11-13 13:04:09 Heitor Alves de Siqueira linux (Ubuntu Bionic): assignee Heitor Alves de Siqueira (halves)
2019-11-13 13:04:12 Heitor Alves de Siqueira linux (Ubuntu Xenial): assignee Heitor Alves de Siqueira (halves)
2019-11-13 13:17:48 Heitor Alves de Siqueira bug task deleted linux (Ubuntu Xenial)
2019-11-13 13:18:21 Heitor Alves de Siqueira description [Impact] * Creating SR-IOV enabled VMs in Openstack can sometimes trigger the GPF and leave system unusable [Test Case] * Continuously spin up VFs and set MAC address with e.g. ifconfig [Fix] * The fix updates the VSI pointer passed down to i40e_set_vf_mac function() if the adapter is still in reset, preventing the GPF. [Regression Potential] * Regression potential should be low, as we're now updating the VSI using the ID stored in the VF pointer * Regressions could arise from issues in VF creation or reset, as that would corrupt the new VSI pointer * Patch was validated and tested in a production environment [Other] * Fix was introduced in v5.4-rc1, so all previous kernels are affected [Impact]  * Creating SR-IOV enabled VMs in Openstack can sometimes trigger the GPF and leave system unusable [Test Case]  * Continuously spin up VFs and set MAC address with e.g. ifconfig [Fix]  * The fix updates the VSI pointer passed down to i40e_set_vf_mac function() if the adapter is still in reset, preventing the GPF. [Regression Potential]  * Regression potential should be low, as we're now updating the VSI using the ID stored in the VF pointer  * Regressions could arise from issues in VF creation or reset, as that would corrupt the new VSI pointer  * Patch was validated and tested in a production environment
2019-11-13 14:30:47 Nobuto Murata bug added subscriber Nobuto Murata
2019-11-14 03:38:33 Dominique Poulain bug added subscriber Dominique Poulain
2019-11-28 07:37:07 Khaled El Mously linux (Ubuntu Bionic): status Confirmed Fix Committed
2019-11-28 07:37:10 Khaled El Mously linux (Ubuntu Disco): status Confirmed Fix Committed
2019-11-28 07:37:13 Khaled El Mously linux (Ubuntu Eoan): status Confirmed In Progress
2019-11-28 07:37:17 Khaled El Mously linux (Ubuntu Eoan): status In Progress Fix Committed
2019-12-03 15:42:54 Ubuntu Kernel Bot tags sts sts verification-needed-disco
2019-12-03 15:44:50 Ubuntu Kernel Bot tags sts verification-needed-disco sts verification-needed-bionic verification-needed-disco
2019-12-05 11:27:51 Ubuntu Kernel Bot tags sts verification-needed-bionic verification-needed-disco sts verification-needed-bionic verification-needed-disco verification-needed-eoan
2019-12-08 09:42:08 Yoshi Kadokawa bug added subscriber Yoshi Kadokawa
2019-12-08 11:10:39 Nobuto Murata tags sts verification-needed-bionic verification-needed-disco verification-needed-eoan sts verification-done-eoan verification-needed-bionic verification-needed-disco
2019-12-11 22:02:46 Heitor Alves de Siqueira tags sts verification-done-eoan verification-needed-bionic verification-needed-disco sts verification-done-bionic verification-done-eoan verification-needed-disco
2019-12-12 19:03:49 Ville Mattila bug added subscriber Ville Mattila
2019-12-12 22:08:10 Heitor Alves de Siqueira tags sts verification-done-bionic verification-done-eoan verification-needed-disco sts verification-done-bionic verification-done-disco verification-done-eoan
2020-01-06 12:53:38 Launchpad Janitor linux (Ubuntu Eoan): status Fix Committed Fix Released
2020-01-06 12:53:38 Launchpad Janitor cve linked 2019-14895
2020-01-06 12:53:38 Launchpad Janitor cve linked 2019-14896
2020-01-06 12:53:38 Launchpad Janitor cve linked 2019-14897
2020-01-06 12:53:38 Launchpad Janitor cve linked 2019-14901
2020-01-06 12:53:38 Launchpad Janitor cve linked 2019-18660
2020-01-06 12:53:38 Launchpad Janitor cve linked 2019-19055
2020-01-06 12:53:38 Launchpad Janitor cve linked 2019-19072
2020-01-06 13:12:44 Launchpad Janitor linux (Ubuntu Disco): status Fix Committed Fix Released
2020-01-06 13:12:44 Launchpad Janitor cve linked 2019-2214
2020-01-06 13:26:17 Launchpad Janitor linux (Ubuntu Bionic): status Fix Committed Fix Released
2020-01-06 13:26:17 Launchpad Janitor cve linked 2019-19083